#
# spec file for package freepops
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} < 1310
%{!?_tmpfilesdir:%global _tmpfilesdir %{_libexecdir}/tmpfiles.d}
%endif

Name:           freepops
Version:        0.2.9
Release:        lp150.14.1
Summary:        Allows access to the most varied resources through the POP3 protocol
License:        GPL-2.0
Group:          Productivity/Networking/Email/Utilities
Url:            http://www.freepops.org/
Source0:        http://garr.dl.sourceforge.net/sourceforge/freepops/%{name}-%{version}.tar.gz
Source1:        freepopsd.service
Source2:        freepopsd-tmpfile.conf
Source3:        freepopsd
Source4:        freepopsd.sysconfig
Patch0:         %{name}-%{version}.patch
#PATCH-FIX-UPSTREAM getdate-use-curl.patch -- Use curl instead of getdate
Patch1:         freepops-0.2.9-getdate-use-curl.patch
#PATCH-FIX-UPSTREAM curl_authopt-meta.patch -- Fix incorrect references to /usr/include
Patch2:         freepops-0.2.9-curl_authopt-meta.patch
#PATCH-FIX-UPSTREAM obsolete_code.patch avvissu@yandex.ru -- Remove obsolete code
Patch3:         lua-curl-0.3.0_obsolete_code.patch
#PATCH-FIX-UPSTREAM include_fltk.patch avvissu@yandex.ru --Correct path for fltk include
Patch4:         freepops-0.2.9_include_fltk.patch
#PATCH-FIX-OPENSUSE latex_lang.patch avvissu@yandex.ru -- Specify a language option
#Patch5: freepops-0.2.9_latex_lang.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  fltk-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  pstoedit
BuildRequires:  texlive-devel
BuildRequires:  texlive-latex
BuildRequires:  xorg-x11-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  config(texlive-dvips)
BuildRequires:  tex(a4wide.sty)
BuildRequires:  tex(english.ldf)
BuildRequires:  tex(fancyhdr.sty)
BuildRequires:  tex(italian.ldf)
BuildRequires:  tex(pbkl8t.tfm)
BuildRequires:  tex(pcrr8t.tfm)
BuildRequires:  tex(pifont.sty)
BuildRequires:  pkgconfig(expat)
BuildRequires:  lua51-devel
BuildRequires:  pkgconfig(xext)
BuildRequires:  systemd
%{?systemd_requires}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       zenity

%description
FreePOPs is an easily extensible program, which allows
access to the most varied resources through the POP3 protocol.
Mainly, it can be used to download mail from the most
famous webmails, but it could also be used as an aggregator
for RSS feeds and much more. This way it is possible to get
all your messages in your favorite email client.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
#%patch5 -p1

%build
./configure.sh linux -lua -fltk-ui
make 
make manual

%install
make DESTDIR=%{buildroot} install PREFIX=%{_prefix}

%if "%{?_lib}" == "lib64"
mkdir -p %{buildroot}%{_libdir}/%{name}
find %{buildroot} -name \updater_fltk.so -exec mv {} %{buildroot}%{_libdir}/%{name} \;
%endif

chmod +x %{buildroot}/%{_bindir}/%{name}-updater-fltk
chmod +x %{buildroot}/%{_bindir}/%{name}-updater-zenity

mkdir -p %{buildroot}%{_sbindir}

install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
ln -s -f %{_sbindir}/service  %{buildroot}%{_sbindir}/rc%{name}
#%__install -D -m 0644 %{S:2} %{buildroot}%{_tmpfilesdir}/%{name}.conf

install -D -m 0644 %{SOURCE4} %{buildroot}%{_localstatedir}/adm/fillup-templates/sysconfig.%{name}d

%find_lang updater_fltk

%pre
%service_add_pre %{name}.service

%preun
%service_del_preun %{name}.service

%post
/sbin/ldconfig
%service_add_post %{name}.service
#systemd-tmpfiles --create %{_tmpfilesdir}/%{name}.conf
%fillup_and_insserv -i -n %{name}d

%postun
/sbin/ldconfig
%service_del_postun %{name}.service

%files -f updater_fltk.lang
%defattr(-,root,root)
%dir %{_datadir}/doc/%{name}
%doc %{_datadir}/doc/%{name}/MANUAL.txt
%doc %{_datadir}/doc/%{name}/manual-it.pdf
%doc %{_datadir}/doc/%{name}/manual.pdf
%{_libdir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/config.lua
%{_localstatedir}/adm/fillup-templates/sysconfig.%{name}d
%{_bindir}/%{name}-updater-dialog
%{_bindir}/%{name}-updater-zenity
%{_bindir}/%{name}-updater-fltk
%{_bindir}/%{name}d
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/lua
%dir %{_datadir}/%{name}/lua/browser
%dir %{_datadir}/%{name}/lua/lxp
%dir %{_datadir}/%{name}/lua/soap
%{_datadir}/%{name}/lua/*.lua
%{_datadir}/%{name}/lua/browser/*.lua
%{_datadir}/%{name}/lua/lxp/*.lua
%{_datadir}/%{name}/lua/soap/*.lua
%{_mandir}/man1/*.1.gz
%{_unitdir}/%{name}.service
%{_sbindir}/rc%{name}
#%{_tmpfilesdir}/%{name}.conf

%defattr(-,root,users)
%dir %{_localstatedir}/lib/%{name}
%dir %{_localstatedir}/lib/%{name}/lua_unofficial
%dir %{_localstatedir}/lib/%{name}/lua_updates
%dir %{_localstatedir}/lib/%{name}/lua_updates/browser
%dir %{_localstatedir}/lib/%{name}/lua_updates/lxp
%dir %{_localstatedir}/lib/%{name}/lua_updates/soap

%changelog
* Wed Feb 18 2015 avvissu@yandex.ru
- Use curl instead of getdate (freepops-0.2.9-getdate-use-curl.patch)
- Fix incorrect references to /usr/include:
  * add freepops-0.2.9-curl_authopt-meta.patch
- Remove obsolete code (lua-curl-0.3.0_obsolete_code.patch)
- Correct path for fltk include:
  * add freepops-0.2.9_include_fltk.patch
- Specify a language option (freepops-0.2.9_latex_lang.patch)
- Install a native systemd service file:
  * add freepopsd.service
  * add freepopsd.sysconfig
- Fix init-script-non-var-dependency:
  * add a variable $network dependency
- Fix: need a more patch for lib
- Add freepops.changes
- Spec file cleanup
* Mon Mar  9 2009 Andrea Florio <andrea@links2linux.de> 
- new upstream version 0.2.9
* Tue Nov 18 2008 Andrea Florio <andrea@links2linux.de> 
- new upstream version 0.2.8
* Fri Aug 29 2008 Andrea Florio <andrea@links2linux.de> 
- added /etc/init.d script
* Wed Aug 27 2008 Andrea Florio <andrea@links2linux.de>
- fixed files section
- fixed patch
- new package
